package com.ruoyi.project.system.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.system.domain.TAlarmtype;

/**
 * 报警配置管理Mapper接口
 * 
 * @author ruoyi
 * @date 2020-12-30
 */
public interface TAlarmtypeMapper 
{
    /**
     * 查询报警配置管理
     * 
     * @param id 报警配置管理ID
     * @return 报警配置管理
     */
    public TAlarmtype selectTAlarmtypeById(Long id);

    /**
     * 查询报警配置管理列表
     * 
     * @param tAlarmtype 报警配置管理
     * @return 报警配置管理集合
     */
    @DataScope(deptAlias = "d")
    public List<TAlarmtype> selectTAlarmtypeList(TAlarmtype tAlarmtype);

    /**
     * 新增报警配置管理
     * 
     * @param tAlarmtype 报警配置管理
     * @return 结果
     */
    public int insertTAlarmtype(TAlarmtype tAlarmtype);

    /**
     * 修改报警配置管理
     * 
     * @param tAlarmtype 报警配置管理
     * @return 结果
     */
    public int updateTAlarmtype(TAlarmtype tAlarmtype);

    /**
     * 修改报警配置开关
     *
     * @param tAlarmtype 报警配置管理
     * @return 结果
     */
    public int updateIsOpen(TAlarmtype tAlarmtype);

    /**
     * 删除报警配置管理
     * 
     * @param id 报警配置管理ID
     * @return 结果
     */
    public int deleteTAlarmtypeById(Long id);

    /**
     * 批量删除报警配置管理
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTAlarmtypeByIds(Long[] ids);
}
